User Interface - Bug #2192

built-in functions without parameters are displayed only once
10/10/2013 11:40 AM - Ovidiu Maxiniuc
#1 - 10/10/2013 11:53 AM - Ovidiu Maxiniuc

When P2J displays the expressions formed by only one no-args built-in functions multiple times within the same frame are displayed only once - they
behave like a field or variable.
Here is the test-set:

define variable i as int init 9.

display "num-dbs" num-dbs skip with no-labels.
display "i" i skip.
display "i + 1" i + 1 skip.

display "userid" userid skip.

display "CURRENT-LANGUAGE" CURRENT-LANGUAGE skip.

display "etime" etime skip.

display "mtime" mtime skip.

display "lastkey" lastkey skip.

/* display guid guid skip. -- not implemented in p23j conversion */
display "now" now skip.

display "today" today skip.

display "OPSYS" OPSYS skip.

display "PAGE-NUMBER" PAGE-NUMBER skip.

display "PAGE-SIZE" PAGE-SIZE skip.

display "PROGRESS" PROGRESS skip.

display "PROVERSION" PROVERSION skip.

display "SCREEN-LINES" SCREEN-LINES skip.

display "-——————"——————— " skip

display "num-dbs" num-dbs skip with no-labels.
display "i" i skip.
display "i + 1" i + 1 skip.

display "userid" userid skip.

display "CURRENT-LANGUAGE" CURRENT-LANGUAGE skip.
display "etime" etime skip.

display "mtime" mtime skip.

display "lastkey" lastkey skip.

display "now" now skip.

display "today" today skip.

display "OPSYS" OPSYS skip.

display "PAGE-NUMBER" PAGE-NUMBER skip.

display "PAGE-SIZE" PAGE-SIZE skip.

display "PROGRESS" PROGRESS skip.

display "PROVERSION" PROVERSION skip.

display "SCREEN-LINES" SCREEN-LINES skip.

The box should contain the same values up an down, but at this moment the result of following functions appear only once:
num-dbs, CURRENT-LANGUAGE, lastkey, OPSYS, PROGRESS, PROVERSION, SCREEN-LINES. Other functions might be affected.

| did not see any proof that user-defined functions and functions with at least one argument to fail when displayed multiple times.

Looking into the generated code you can clearly see that all occurrences of such displayed functions use the same widget for displaying the result of
the simple expression.

#2 -10/10/2013 03:19 PM - Ovidiu Maxiniuc
- Start date deleted (10/10/2013)

#3 - 10/11/2013 10:39 AM - Eric Faulhaber

- Target version set to 23

| don't know if this bug is manifested in the current project or not, but I'm setting a target version, so we don't lose track of it.

#4 - 11/16/2016 01:21 PM - Greg Shah
- Target version deleted (23)
